/** 
 * 
 * Copyright 2004 Protique Ltd
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 * 
 **/
package org.codehaus.activemq.store.journal;

import java.io.File;

import org.codehaus.activemq.io.impl.DefaultWireFormat;
import org.codehaus.activemq.store.PersistenceAdapter;
import org.codehaus.activemq.store.vm.VMPersistenceAdapter;
import org.codehaus.activemq.test.QueueMessageStoreTestSupport;

/**
 * Tests the JournalPersistenceAdapter
 *
 * @version $Revision: 1.2 $
 */
public class HowlJournalQueueMessageStoreTest extends QueueMessageStoreTestSupport {
    protected PersistenceAdapter createPersistenceAdapter() throws Exception {
        File directory = new File("target/journal");
        delete(directory);
        JournalPersistenceAdapter adapter = new JournalPersistenceAdapter(directory, new VMPersistenceAdapter(), new DefaultWireFormat());
        adapter.setJournalType(JournalPersistenceAdapter.HOWL_JOURNAL_TYPE);
        return adapter;
    }

    protected void delete(File file) {
        if (file.isDirectory()) {
            File[] files = file.listFiles();
            for (int i = 0; i < files.length; i++) {
                delete(files[i]);
            }
        }
        file.delete();
    }
}
